package hdm.mi.sthbackend.model;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.Setter;
import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.Document;

import java.util.List;
import java.util.Map;
import java.util.UUID;

@Document("Tournament")
@Getter
@AllArgsConstructor
public class Tournament implements ITournament{
    @Id
    private UUID tournamentId;
    @Setter
    private String tournamentName;

    private List<UUID> matches;

    private List<UUID> teams;
}
